> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get a single return resource

GET https://api.feedamp.feedonomics.com/api/v1/returns/{return-id}

Get a return by return ID

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feedamp-order-api-v1/customer-initiated-returns/get-return-by-id

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Path parameters

- `return-id` (integer, required) — The id of the return.

### Headers

- `client` (integer, required) — The id of the client making the request.

## Response

### 200

Single Return resource

- `return` (Return, optional)

## Errors

### 400 Bad Request Error

Invalid request

- `message` (string, optional)

### 404 Not Found Error

Return not found

- `message` (string, optional)

## Types

### Return

- `id` (string, required) — FeedAMP unique return id, used for other calls as return-d
- `state` (string, required) — The state of the return
- `integration_name` (string, required) — The name of the marketplace integration you have on FeedAMP
- `paused` (integer, required) — 1 if this return has been paused on FeedAMP side, 0 if not
- `return_info` (ReturnReturnInfo, required)
- `order_id` (string, optional) — FeedAMP unique order id to which the return belongs.

### ReturnReturnInfo

- `mp_return_number` (string, required) — The primary return number provided by the marketplace.
- `mp_order_number` (string, required) — The marketplace order number related to the return.
- `pre_authorized` (double, required) — 1 if the return has been pre-authorized by the marketplace.
- `request_date` (string, required) — The date the return was originally requested by the customer.
- `return_lines` (list of ReturnReturnInfoReturnLinesItems, required) — List of order lines being returned. Each return line has its own number as well.
- `respond_by_date` (string, optional) — The due date required to respond to the marketplace with resolution.
- `notes` (string, optional) — Free-text notes from the return, usually from the customer.
- `merchant_return_number` (string, optional) — Return Number (or RMA) provided by the seller

### ReturnReturnInfoReturnLinesItems

- `mp_return_line_number` (string, required) — Marketplace number for this return line
- `mp_order_line_number` (string, required) — The marketplace's order line that is being returned in this return line.
- `quantity` (double, required) — Number of items being returned in this line.
- `reason` (enum, required) — Reason reported by customer for the returned item.
  - Allowed values: `accidental_order`, `wrong_item_received`, `defective_item_received`, `damaged_item_received`, `item_never_received`, `item_received_late`, `wrong_quantity_received`, `other`
- `shipping_expected` (double, required) — 1 if the item is going to be shipped back to the seller. 0 if the item is not required to be shipped back to the seller.
- `sku` (string, optional) — The SKU of the product that was included in the marketplace listing.
- `product_name` (string, optional) — The product title, as displayed in the marketplace listing.
- `requested_refund_principal` (double, optional) — The requested refund to the principal (base item price).
- `requested_refund_tax` (double, optional) — The requested refund to the tax amount.
- `requested_refund_shipping` (double, optional) — The requested refund to the shipping amount.
- `requested_refund_shipping_tax` (double, optional) — The requested refund to the shipping tax.
- `carrier` (string, optional) — Carrier for the return shipment.
- `tracking_number` (string, optional) — Tracking number for the return shipment.
- `destination` (string, optional) — Return address for shipment, or warehouse identifier.

## Examples

**Response**

```json
{
  "return": {
    "id": "123",
    "state": "Pending Authorization",
    "integration_name": "amazon",
    "paused": 0,
    "return_info": {
      "mp_return_number": "152-123344ABC",
      "mp_order_number": "111-99998888-55555",
      "pre_authorized": 1,
      "request_date": "2018-02-07T22:00:00.000Z",
      "return_lines": [
        {
          "mp_return_line_number": "123-456-789",
          "mp_order_line_number": "afdafasdgasdg",
          "quantity": 2,
          "reason": "wrong_item_received",
          "shipping_expected": 1,
          "sku": "1234-12353",
          "product_name": "Beats Pill Speakers",
          "requested_refund_principal": 1.05,
          "requested_refund_tax": 0.11,
          "requested_refund_shipping": 0,
          "requested_refund_shipping_tax": 0,
          "carrier": "FedEx",
          "tracking_number": "168739720393",
          "destination": "123 Example St. Los Angeles, CA"
        }
      ],
      "respond_by_date": "2018-02-09T22:00:00.000Z",
      "notes": "Didn't fit me!",
      "merchant_return_number": "RMA-1234"
    },
    "order_id": "456"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v1/returns/1"

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v1/returns/1';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v1/returns/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v1/returns/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v1/returns/1")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v1/returns/1', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v1/returns/1");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v1/returns/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```